org.jboss.resteasy.keystone.client

## Class SkeletonKeyClientBuilder

- java.lang.Object
- - org.jboss.resteasy.keystone.client.SkeletonKeyClientBuilder

-     public class SkeletonKeyClientBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResteasyWebTarget` | `admin`
    `protected String` | `password`
    `protected TokenFactory` | `tokenFactory`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkeletonKeyClientBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SkeletonKeyAdminClient` | `admin()`
    `Access` | `authenticateTarget(String projectName, WebTarget target)`
    `Authentication` | `authentication(String projectName)`
    `SkeletonKeyClientBuilder` | `idp(WebTarget uri)`
    `String` | `obtainSignedToken(String projectName)`
    `Access` | `obtainToken(String projectName)`
    `SkeletonKeyClientBuilder` | `password(String password)`
    `String` | `signed(String projectName, WebTarget target)`
    `SkeletonKeyClientBuilder` | `username(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### admin

          protected ResteasyWebTarget admin

    - #### tokenFactory

          protected TokenFactory tokenFactory

    - #### username

          protected String username

    - #### password

          protected String password

  - ### Constructor Detail

    - #### SkeletonKeyClientBuilder

          public SkeletonKeyClientBuilder()

  - ### Method Detail

    - #### username

          public SkeletonKeyClientBuilder username(String username)

    - #### password

          public SkeletonKeyClientBuilder password(String password)

    - #### idp

          public SkeletonKeyClientBuilder idp(WebTarget uri)

    - #### authenticateTarget

          public Access authenticateTarget(String projectName,
                                  WebTarget target)

    - #### signed

          public String signed(String projectName,
                      WebTarget target)

    - #### obtainToken

          public Access obtainToken(String projectName)

    - #### obtainSignedToken

          public String obtainSignedToken(String projectName)

    - #### authentication

          public Authentication authentication(String projectName)

    - #### admin

          public SkeletonKeyAdminClient admin()

Copyright © 2014. All Rights Reserved.